### Method

# Gck Session login_interactive

#### Declaration [src]

    gboolean
    gck_session_login_interactive (
      GckSession* self,
      gulong user_type,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Login the user on the session requesting the password interactively when necessary. This call may block for an indefinite period.

#### Parameters

`user_type` | `gulong`
| The type of login user.
`interaction` | `GTlsInteraction`
| Interaction to request PIN when necessary.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether successful or not.